pragma ComponentBehavior: Bound
import QtQuick.Controls
import QtQuick.Layouts

Page {
    title: qsTr("Reservations")

    header: ToolBar {
        RowLayout {
            anchors.fill: parent

            ToolButton {
                action: logoutAction
            }
        }
    }

    Action {
        id: logoutAction

        Mnemonic.label: qsTr("Log &out")
        icon.name: "system-log-out"
        shortcut: Mnemonic.sequence
        text: Mnemonic.richTextLabel

        onTriggered: function () {
            Database.close();
        }
    }
}
